Skip to main content
GET
List default terraform advanced settings

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Response

Default terraform advanced settings

build.timeout_max_sec
integer

define the max timeout for the build

build.cpu_max_in_milli
integer

define the max cpu resources (in milli)

build.ram_max_in_gib
integer

define the max ram resources (in gib)

build.ephemeral_storage_in_gib
integer
build.skip_git_submodules
boolean

skip git submodules update when cloning the repository

deployment.termination_grace_period_seconds
integer

define how long in seconds an application is supposed to be stopped gracefully

deployment.affinity.node.required
object

Set pod placement on specific Kubernetes nodes labels

security.service_account_name
string

Allows you to set an existing Kubernetes service account name

security.read_only_root_filesystem
boolean

Mounts the container's root filesystem as read-only